Types(3)

NAME
Types -

  Typedefs

typedef void(* globus_xio_gsi_delegation_init_callback_t )(globus_result_t result, void *user_arg)
typedef void(* globus_xio_gsi_delegation_accept_callback_t )(globus_result_t result, gss_cred_id_t delegated_cred, OM_uint32 time_rec, void *user_arg)

  Enumerations

enum globus_xio_gsi_protection_level_t { GLOBUS_XIO_GSI_PROTECTION_LEVEL_NONE, GLOBUS_XIO_GSI_PROTECTION_LEVEL_INTEGRITY, GLOBUS_XIO_GSI_PROTECTION_LEVEL_PRIVACY }
enum globus_xio_gsi_delegation_mode_t { GLOBUS_XIO_GSI_DELEGATION_MODE_NONE, GLOBUS_XIO_GSI_DELEGATION_MODE_LIMITED, GLOBUS_XIO_GSI_DELEGATION_MODE_FULL }
enum globus_xio_gsi_proxy_mode_t { GLOBUS_XIO_GSI_PROXY_MODE_FULL, GLOBUS_XIO_GSI_PROXY_MODE_LIMITED, GLOBUS_XIO_GSI_PROXY_MODE_MANY }
enum globus_xio_gsi_authorization_mode_t { GLOBUS_XIO_GSI_NO_AUTHORIZATION, GLOBUS_XIO_GSI_SELF_AUTHORIZATION, GLOBUS_XIO_GSI_IDENTITY_AUTHORIZATION, GLOBUS_XIO_GSI_HOST_AUTHORIZATION }

Detailed Description

Typedef Documentation

  typedef void(* globus_xio_gsi_delegation_init_callback_t)(globus_result_t result, void *user_arg)

Globus XIO GSI init delegation callback.

  typedef void(* globus_xio_gsi_delegation_accept_callback_t)(globus_result_t result, gss_cred_id_t delegated_cred, OM_uint32 time_rec, void *user_arg)

Globus XIO GSI init delegation callback.

Enumeration Type Documentation

  enum globus_xio_gsi_protection_level_t

Globus XIO GSI protection levels.

Enumerator

GLOBUS_XIO_GSI_PROTECTION_LEVEL_NONE
    No security.

GLOBUS_XIO_GSI_PROTECTION_LEVEL_INTEGRITY
    Messages are signed.

GLOBUS_XIO_GSI_PROTECTION_LEVEL_PRIVACY
    Messages are signed and encrypted.

  enum globus_xio_gsi_delegation_mode_t

Globus XIO GSI delegation modes.

Enumerator

GLOBUS_XIO_GSI_DELEGATION_MODE_NONE
    No delegation.

GLOBUS_XIO_GSI_DELEGATION_MODE_LIMITED
    Delegate a limited proxy.

GLOBUS_XIO_GSI_DELEGATION_MODE_FULL
    Delegate a full proxy.

  enum globus_xio_gsi_proxy_mode_t

Globus XIO GSI proxy modes.

Enumerator

GLOBUS_XIO_GSI_PROXY_MODE_FULL
    Accept only full proxies.

GLOBUS_XIO_GSI_PROXY_MODE_LIMITED
    Accept full proxies and limited proxies if they are the only limited proxy in the cert chain.

GLOBUS_XIO_GSI_PROXY_MODE_MANY
    Accept both full and limited proxies unconditionally.

  enum globus_xio_gsi_authorization_mode_t

Globus XIO GSI authorization modes.

Enumerator

GLOBUS_XIO_GSI_NO_AUTHORIZATION
    Do not perform any authorization. This will cause a error when used in conjunction with delegation on the init/client side.

GLOBUS_XIO_GSI_SELF_AUTHORIZATION
    Authorize the peer if the peer has the same identity as ourselves.

GLOBUS_XIO_GSI_IDENTITY_AUTHORIZATION
    Authorize the peer if the peer identity matches the identity set in the target name.

GLOBUS_XIO_GSI_HOST_AUTHORIZATION
    Authorize the peer if the identity of the peer matches the identity of the peer hostname.

Author

Generated automatically by Doxygen for globus xio gsi driver from the source code.